/*******************************************************************************
 * FoxProjectile_BounceGrenadeBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxProjectile_BounceGrenadeBase extends FoxProjectile_GrenadeBase
    config(Projectile)
    hidecategories(Navigation);

var const float BounceTimer;

simulated function HandleCollision(Actor Other, Vector HitLocation, Vector HitNormal)
{
    // End:0x53
    if(((Role == ROLE_Authority) && Pawn(Other) != none) && Other != Instigator)
    {
        bExplodeOnImpact = true;
    }
    super.HandleCollision(Other, HitLocation, HitNormal);
    //return;    
}

simulated function Bounce(Vector HitLocation, Vector HitNormal)
{
    super.Bounce(HitLocation, HitNormal);
    // End:0x55
    if(!bHasExploded)
    {
        StartGrenadeTimer(GrenadeTimerLength - BounceTimer);
        bExplodeOnImpact = true;
    }
    //return;    
}

defaultproperties
{
    BounceTimer=2.0
    begin object name=StaticMeshComponent0 class=StaticMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: StaticMeshComponent'Default__FoxProjectile_BounceGrenadeBase.StaticMeshComponent0'
    Mesh=StaticMeshComponent0
    GrenadeTimerLength=6.0
    DamageFalloff=2.50
    ProjLightEnvironment=DynamicLightEnvironmentComponent'Default__FoxProjectile_BounceGrenadeBase.MyLightEnvironment'
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxProjectile_BounceGrenadeBase.CollisionCylinder'
    CylinderComponent=CollisionCylinder
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxProjectile_BounceGrenadeBase.CollisionCylinder'
    Components(0)=CollisionCylinder
    Components(1)=DynamicLightEnvironmentComponent'Default__FoxProjectile_BounceGrenadeBase.MyLightEnvironment'
    begin object name=StaticMeshComponent0 class=StaticMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: StaticMeshComponent'Default__FoxProjectile_BounceGrenadeBase.StaticMeshComponent0'
    Components(2)=StaticMeshComponent0
    begin object name=CollisionCylinder class=CylinderComponent
        ReplacementPrimitive=none
    object end
    // Reference: CylinderComponent'Default__FoxProjectile_BounceGrenadeBase.CollisionCylinder'
    CollisionComponent=CollisionCylinder
}